> For the complete documentation index, see [llms.txt](https://docs.2checkout.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.2checkout.com/channel-manager-api/channel-manager-api/api-2.1/soap-2.1/reference/subscriptions/retrieve-order-subscription-references.md).

# Retrieve order subscription references

List the references associated with the subscription generated for an order.

## Request parameters

<table><thead><tr><th width="121">Parameter</th><th>Type / Description</th></tr></thead><tbody><tr><td><code>sessionID</code></td><td><p><strong>Required (string)</strong></p><p>Session identifier, output of the <strong>Login</strong> method. An exception is thrown if the values are incorrect.</p></td></tr><tr><td><code>refNo</code></td><td><p><strong>Required (string)</strong></p><p>The unique identifier of an order from the Avangate system.</p></td></tr><tr><td><code>pageNo</code></td><td><p><strong>Optional (Int)</strong></p><p>Break down the subscription information using pagination into groups of 50 items (PartnerSubscription objects) per page. Example values: 1 — the first 50; 2 — the next 50; 3 — the next 50. Can be NULL.</p></td></tr></tbody></table>

### Request sample

```php
<?php

require('PATH_TO_AUTH'); // Authentication example: https://knowledgecenter.avangate.com/Integration/Channel_Manager_API/SOAP/02Authentication
require('PATH_TO_setPartner'); // setPartner example: https://knowledgecenter.avangate.com/Integration/Channel_Manager_API/SOAP/06Reference/Partner/00Set_partner

$refNo = 'YOUR_ORDER_REFERENCE';

try {
    $SubscriptionsGenerated= $client->getOrderSubscriptions ($sessionID, $refNo, $pageNo);
} catch (SoapFault $e) {
    Echo "Subscriptions: " . $e->getMessage();
    exit;
}
var_dump ("Subscriptions ", $SubscriptionsGenerated);
```

## Response parameters

| Parameter                                   | Type / Description                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                   |
| ------------------------------------------- | -------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| `PartnerSubscription`                       | <p><strong>Array of objects</strong><br>Details below</p>                                                                                                                                                                                                                                                                                                                                                                                                                                                            |
| `PartnerSubscription.SubscriptionReference` | <p><strong>String</strong></p><p>The unique reference associated with a subscription generated for a product included in a partner order.</p>                                                                                                                                                                                                                                                                                                                                                                        |
| `PartnerSubscription.HasEndUserInformation` | <p><strong>Boolean</strong></p><p><strong>True</strong> or <strong>false</strong>, depending on whether end user information is attached to the subscription.</p>                                                                                                                                                                                                                                                                                                                                                    |
| `PartnerSubscription.RegistrationStatus`    | <p><strong>String</strong></p><p>Possible values: Not registered, Registered</p>                                                                                                                                                                                                                                                                                                                                                                                                                                     |
| `PartnerSubscription.RegistrationEmails`    | <p><strong>String</strong></p><p>The email used by the end user in the registration process. Can be NULL.</p>                                                                                                                                                                                                                                                                                                                                                                                                        |
| `PartnerSubscription.FullfilmentStatus`     | <p><strong>String</strong></p><p>Fulfillment status possible values:</p><ul><li>DELIVERED - Order was fulfilled/delivered.</li><li>NOT\_DELIVERED - Fulfillment is blocked due to various reasons including lack of payment/credit, missing reseller/end user details.</li><li>NO\_DELIVERY\_REQUIRED - No fulfillment confirmation is required.</li><li>VENDOR\_CONFIRMED\_DELIVERY - Fulfillment has been confirmed.</li><li>VENDOR\_DELIVERY\_CONFIRMATION\_REQUIRED - You need to confirm fulfillment.</li></ul> |

## Errors

<table><thead><tr><th width="256.5999755859375">Error</th><th>Description</th></tr></thead><tbody><tr><td><strong>NOT_FOUND_PARTNER</strong></td><td>A partner must be set first.</td></tr><tr><td><strong>EMPTY_ORDER_REFERENCE</strong></td><td>Order reference not provided.</td></tr><tr><td><strong>INVALID_REFERENCE</strong></td><td>Invalid order reference.</td></tr></tbody></table>


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.2checkout.com/channel-manager-api/channel-manager-api/api-2.1/soap-2.1/reference/subscriptions/retrieve-order-subscription-references.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
